%define major	2
%define libname	%mklibname cerf %{major}
%define devname	%mklibname cerf -d

Name:		libcerf
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Version:	2.1
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
Url:		https://jugit.fz-juelich.de/mlz/libcerf
Source0:	https://jugit.fz-juelich.de/mlz/libcerf/-/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	clang

%description
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{libname}
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Group:		System/Libraries

%description -n %{libname}
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

# Force cmake to use the paths passed at configure time
sed -i -e 's|lib/pkgconfig/|%{_lib}/pkgconfig/|' CMakeLists.txt
sed -i -e 's|DESTINATION lib|DESTINATION %{_lib}|' lib/CMakeLists.txt
sed -i -e 's|${prefix}/lib|@LIB_INSTALL_DIR@|' libcerf.pc.in
sed -i -e 's|@destination@|@CMAKE_INSTALL_PREFIX@|' libcerf.pc.in

# remove cruft
rm -rf fortran/__MACOSX

%build
# for some reason %ix86 tests fails with gcc
export CC=clang
export LDFLAGS="%build_ldflags -Wl,--build-id=sha1"
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc CHANGELOG README*
%license LICENSE
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{devname}
%doc %{_docdir}/cerf/
%{_includedir}/cerf.h
%{_libdir}/%{name}.so
%{_libdir}/cmake/cerf/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*


%changelog
* Fri Apr 22 2022 wally <wally> 2.1-1.mga9
+ Revision: 1852657
- new version 2.1
- new lib major 2

* Mon Apr 18 2022 pterjan <pterjan> 1.17-3.mga9
+ Revision: 1851428
- Try fixing the build on arm

* Thu Mar 31 2022 umeabot <umeabot> 1.17-2.mga9
+ Revision: 1837141
- Mageia 9 Mass Rebuild

* Tue Dec 07 2021 wally <wally> 1.17-1.mga9
+ Revision: 1761022
- new version 1.17

* Sat Feb 27 2021 wally <wally> 1.14-1.mga9
+ Revision: 1692910
- new version 1.14

* Sat Feb 15 2020 daviddavid <daviddavid> 1.13-4.mga8
+ Revision: 1525600
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 16 2019 daviddavid <daviddavid> 1.13-3.mga7
+ Revision: 1391160
- rebuild for new llvm/clang 8.0

* Sat Mar 16 2019 wally <wally> 1.13-2.mga7
+ Revision: 1377904
+ rebuild (emptylog)

* Sat Mar 16 2019 wally <wally> 1.13-1.mga7
+ Revision: 1377884
- build using clang as tests fails on i586 with gcc

* Sat Mar 16 2019 wally <wally> 1.13-1.mga7
+ Revision: 1377859
- new version 1.13

* Sun Sep 23 2018 umeabot <umeabot> 1.5-2.mga7
+ Revision: 1298783
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 wally <wally> 1.5-1.mga6
+ Revision: 1079229
- new version 1.5
- update URL and Source tags
- rediff P0

* Thu Feb 11 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 955450
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 1.3-1.mga6
+ Revision: 868304
- imported package libcerf

